# SetAccountConfiguration

Change configuration settings for this account

`POST /api/v2/accounts/{id}/configuration`

**API:** AvaTax API
**Tag:** Accounts
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Accounts/SetAccountConfiguration/

## Description

Update configuration settings tied to this account.
            
Configuration settings provide you with the ability to control features of your account and of your
tax software.  The category names `TaxServiceConfig` and `AddressServiceConfig` are reserved for
Avalara internal software configuration values; to store your own account-level settings, please
create a new category name that begins with `X-`, for example, `X-MyCustomCategory`.
            
Account settings are permanent settings that cannot be deleted.  You can set the value of an
account setting to null if desired.
            
Avalara-based account settings for `TaxServiceConfig` and `AddressServiceConfig` affect your account's
tax calculation and address resolution, and should only be changed with care.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, BatchServiceAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes |  |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `AccountConfigurationModel[]`

Represents one configuration setting for this account

| Property | Type | Required | Description |
|---|---|---|---|
| `accountId` | integer | No | The unique ID number of the account to which this setting applies Example: `0`. |
| `category` | string | **Yes** | The category of the configuration setting.  Avalara-defined categories include `AddressServiceConfig` and `TaxServiceConfig`.  Customer-defined categories begin with `X-`. Example: `TaxServiceConfig`. |
| `name` | string | **Yes** | The name of the configuration setting Example: `MaxLines`. |
| `value` | string | No | The current value of the configuration setting Example: `1000`. |
| `createdDate` | string | No | The date when this record was created. |
| `createdUserId` | integer | No | The User ID of the user who created this record. |
| `modifiedDate` | string | No | The date/time when this record was last modified. |
| `modifiedUserId` | integer | No | The user ID of the user who last modified this record. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/accounts/{id}/configuration" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '[
  {
    "accountId": 0,
    "category": "TaxServiceConfig",
    "name": "MaxLines",
    "value": "1000"
  }
]'
```